const jobs = require('./jobs')

module.exports = config =>
  jobs
    .registerMultiple(
      config,
      ['config', './config'],
      ['markdown', './markdown'],
      ['parseHugo', './parseHugo'],
      ['print', './print'],
      ['readFiles', './readFiles'],
      ['toURL', './toURL'],
      ['tags', './tags'],
      ['nunjucks', './nunjucks'],
      ['theme', './theme'],
      ['urls', './urls'],
      ['writeFiles', './writeFiles'],
      ['resetJobs', './resetJobs'],
      ['sitemap', './sitemap'],
      ['parseRedirects', './parseRedirects'],
      ['image', './image'],
      ['imageResizer', './imageResizer'],

      ['pipeline', './pipeline'],
    )
    .then(() => jobs)
